Package org.drinkless.tdlib

# Class TdApi.PageBlockChatLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockChatLink

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockChatLink extends TdApi.PageBlock
A link to a chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentColorId`
  Identifier of the accent color for chat title and background of chat photo.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatPhotoInfo`
  `photo`
  Chat photo; may be null.
  `String`
  `title`
  Chat title.
  `String`
  `username`
  Chat username by which all other information about the chat can be resolved.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockChatLink()`
  A link to a chat.
  `PageBlockChatLink(String title, TdApi.ChatPhotoInfo photo, int accentColorId, String username)`
  A link to a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public String title
    Chat title.

  - ### photo

    @Nullable public TdApi.ChatPhotoInfo photo
    Chat photo; may be null.

  - ### accentColorId

    public int accentColorId
    Identifier of the accent color for chat title and background of chat photo.

  - ### username

    public String username
    Chat username by which all other information about the chat can be resolved.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockChatLink

    public PageBlockChatLink()
    A link to a chat.

  - ### PageBlockChatLink

    public PageBlockChatLink(String title, TdApi.ChatPhotoInfo photo, int accentColorId, String username)
    A link to a chat.
    Parameters:
      `title` - Chat title.
      `photo` - Chat photo; may be null.
      `accentColorId` - Identifier of the accent color for chat title and background of chat photo.
      `username` - Chat username by which all other information about the chat can be resolved.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR